Bug 1027323 - Network is interrupted
Network is interrupted
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 09:57 EST by Joerg
Modified: 2014-02-05 17:31 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:31:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joerg 2013-11-06 09:57:56 EST
Description of problem:
During high networkload (used as streamingserver) the network is interrupted for several seconds.

Version-Release number of selected component (if applicable):
3.11.4-101.fc18.i686.PAE

How reproducible:
put high network load on machine

Steps to Reproduce:
1. start several media streams in parallel

Actual results:
Traffic gets interrupted

Expected results:
smooth streaming

Additional info:
[378890.015087] ------------[ cut here ]------------
[378890.015556] WARNING: CPU: 0 PID: 0 at net/sched/sch_generic.c:260 dev_watchdog+0x1d7/0x1e0()
[378890.016341] NETDEV WATCHDOG: eth0 (r8169): transmit queue 0 timed out
[378890.016907] Modules linked in: bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast nf_conntrack_ftp nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack coretemp rc_dvbsky(OF) raid456 async_raid6_recov async_memcpy async_pq raid6_pq async_xor xor async_tx m88ds3103(OF) dvb_usb_dvbsky(OF) dvb_usb_v2(OF) dvb_core(OF) iTCO_wdt iTCO_vendor_support rc_core(OF) ftdi_sio serio_raw lpc_ich mfd_core i2c_i801 mperf binfmt_misc xen_netback(F) xen_blkback(F) xen_gntdev(F) nfsd xen_evtchn(F) auth_rpcgss xenfs(F) xen_privcmd(F) nfs_acl lockd uinput raid1 i915 video i2c_algo_bit drm_kms_helper sata_via drm r8169 i2c_core mii sunrpc ecryptfs encrypted_keys trusted tpm tpm_bios
[378890.023277] CPU: 0 PID: 0 Comm: swapper/0 Tainted: GF          O 3.11.4-101.fc18.i686.PAE #1
[378890.024081] Hardware name:                  /D525MW, BIOS MWPNT10N.86A.0126.2012.0517.1400 05/17/2012
[378890.024867]  00000000 00000000 c0c0bd3c c09ac327 c0c0bd7c c0c0bd6c c0456554 c0bcc674
[378890.025690]  c0c0bd98 00000000 c0bc7f7a 00000104 c08e3097 c08e3097 e5a14000 00000000
[378890.026537]  1690d340 c0c0bd84 c0456613 00000009 c0c0bd7c c0bcc674 c0c0bd98 c0c0bdb4
[378890.027419] Call Trace:
[378890.027642]  [<c09ac327>] dump_stack+0x41/0x52
[378890.028144]  [<c0456554>] warn_slowpath_common+0x84/0xa0
[378890.028678]  [<c08e3097>] ? dev_watchdog+0x1d7/0x1e0
[378890.029242]  [<c08e3097>] ? dev_watchdog+0x1d7/0x1e0
[378890.029672]  [<c0456613>] warn_slowpath_fmt+0x33/0x40
[378890.030253]  [<c08e3097>] dev_watchdog+0x1d7/0x1e0
[378890.030711]  [<c0460fcd>] call_timer_fn+0x2d/0xe0
[378890.031208]  [<c08e2ec0>] ? dev_graft_qdisc+0x70/0x70
[378890.031640]  [<c0462086>] run_timer_softirq+0x176/0x210
[378890.032113]  [<c08e2ec0>] ? dev_graft_qdisc+0x70/0x70
[378890.032542]  [<c045ac93>] __do_softirq+0xc3/0x1f0
[378890.032993]  [<c073dfc6>] ? __xen_evtchn_do_upcall+0x226/0x2c0
[378890.033513]  [<c045af25>] irq_exit+0x95/0xa0
[378890.033894]  [<c073f995>] xen_evtchn_do_upcall+0x25/0x40
[378890.034362]  [<c09b9a87>] xen_do_upcall+0x7/0xc
[378890.034717]  [<c04a007b>] ? kmsg_dump_get_line_nolock+0x4b/0x120
[378890.035253]  [<c04013a7>] ? xen_hypercall_sched_op+0x7/0x20
[378890.035688]  [<c040837b>] ? xen_safe_halt+0x1b/0x30
[378890.036136]  [<c0417e1c>] default_idle+0x1c/0xa0
[378890.036497]  [<c0418586>] arch_cpu_idle+0x26/0x30
[378890.036915]  [<c04a053d>] cpu_startup_entry+0x8d/0x210
[378890.037362]  [<c09a43f2>] rest_init+0x62/0x70
[378890.037759]  [<c0c99ac3>] start_kernel+0x397/0x39d
[378890.038158]  [<c0c99561>] ? repair_env_string+0x51/0x51
[378890.038656]  [<c0c9938c>] i386_start_kernel+0x12f/0x132
[378890.039097]  [<c0c9c1d4>] xen_start_kernel+0x6a9/0x6b4
[378890.039578] ---[ end trace 8fccbcfe36e86a0b ]---
[378890.048424] r8169 0000:01:00.0 eth0: link up
[378902.023182] r8169 0000:01:00.0 eth0: link up
[378926.026354] r8169 0000:01:00.0 eth0: link up
[378944.023110] r8169 0000:01:00.0 eth0: link up
[378962.026151] r8169 0000:01:00.0 eth0: link up
[378980.024248] r8169 0000:01:00.0 eth0: link up
[378992.023098] r8169 0000:01:00.0 eth0: link up
[379010.023284] r8169 0000:01:00.0 eth0: link up
[379022.023193] r8169 0000:01:00.0 eth0: link up
[379034.024130] r8169 0000:01:00.0 eth0: link up
[379052.023205] r8169 0000:01:00.0 eth0: link up
[379070.026091] r8169 0000:01:00.0 eth0: link up
[379082.023182] r8169 0000:01:00.0 eth0: link up
[379100.023191] r8169 0000:01:00.0 eth0: link up
[379118.023109] r8169 0000:01:00.0 eth0: link up
[379136.027266] r8169 0000:01:00.0 eth0: link up
[381272.028099] r8169 0000:01:00.0 eth0: link up
[381284.025382] r8169 0000:01:00.0 eth0: link up
[381308.023157] r8169 0000:01:00.0 eth0: link up
[381332.023296] r8169 0000:01:00.0 eth0: link up
[381350.026098] r8169 0000:01:00.0 eth0: link up
[381368.029353] r8169 0000:01:00.0 eth0: link up
[381380.024289] r8169 0000:01:00.0 eth0: link up
[381398.023123] r8169 0000:01:00.0 eth0: link up
[381416.023293] r8169 0000:01:00.0 eth0: link up
[381440.023139] r8169 0000:01:00.0 eth0: link up
[381464.023111] r8169 0000:01:00.0 eth0: link up
Comment 1 Francois Romieu 2013-11-16 14:48:52 EST
Does it qualify as a regression ?

-- 
Ueimor
Comment 2 Fedora End Of Life 2013-12-21 09:44:22 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 17:31:51 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.